Bug 641015 - Review Request: rubygem-cri - Cri is a library for building easy-to-use commandline tools
Summary: Review Request: rubygem-cri - Cri is a library for building easy-to-use comma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 641018
TreeView+ depends on / blocked
 
Reported: 2010-10-07 14:26 UTC by Michal Fojtik
Modified: 2010-11-10 01:14 UTC (History)
2 users (show)

Fixed In Version: rubygem-cri-1.0.1-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 01:10:43 UTC
Type: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-10-07 14:26:08 UTC
Spec URL: http://mifo.sk/RPMS/rubygem-cri.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-cri-1.0.1-1.fc13.src.rpm
Description:

Cri is a library for building easy-to-use commandline tools.

Comment 1 Mamoru TASAKA 2010-10-14 19:00:07 UTC
Some notes:

* Summary
  - "Cri is a" is redundant for Summary

* License tag
  - The license tag for this package should be "MIT".

* Documentation
  - I think %geminstdir/Rakefile can be in -doc.

Comment 2 Michal Fojtik 2010-10-17 19:33:16 UTC
(In reply to comment #1)
> Some notes:
> 
> * Summary
>   - "Cri is a" is redundant for Summary

Changed.

> 
> * License tag
>   - The license tag for this package should be "MIT".

Fixed.

> 
> * Documentation
>   - I think %geminstdir/Rakefile can be in -doc.

File moved to -doc.

======================= 1.0.1-2 ===================

* Sun Oct 17 2010 Michal Fojtik <mfojtik@redhat.com> - 1.0.1-2
- Fixed version to MIT
- Rakefile moved to -doc 
- Changed summary text

Spec URL: http://mifo.sk/RPMS/rubygem-cri.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-cri-1.0.1-1.fc13.src.rpm

Comment 3 Mamoru TASAKA 2010-10-18 17:56:10 UTC
Well,

* I think %doc attribute on Rakefile in -doc subpackage is redundant.
* Please correctly modify release number
* Please set %defattr(-,root,root,-) on -doc subpackage, too

Please fix the issue above when importing this package into
Fedora.

---------------------------------------------------------------
     This package (rubygem-cri) is APPROVED by mtasaka
---------------------------------------------------------------

Comment 4 Mamoru TASAKA 2010-10-27 18:46:18 UTC
ping?

Comment 5 Michal Fojtik 2010-10-29 08:38:42 UTC
Thank you for the review and sorry for that delay!

New Package SCM Request
=======================
Package Name:      rubygem-cri
Short Description: Library for building easy-to-use commandline tools
Owners:            mfojtik
Branches:          f12 f13 f14

Comment 6 Kevin Fenzi 2010-10-30 23:24:22 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-11-01 11:42:21 UTC
rubygem-cri-1.0.1-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rubygem-cri-1.0.1-3.fc13

Comment 8 Fedora Update System 2010-11-01 11:47:12 UTC
rubygem-cri-1.0.1-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rubygem-cri-1.0.1-3.fc14

Comment 9 Fedora Update System 2010-11-01 20:52:01 UTC
rubygem-cri-1.0.1-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-cri'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rubygem-cri-1.0.1-3.fc13

Comment 10 Fedora Update System 2010-11-10 01:10:38 UTC
rubygem-cri-1.0.1-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-11-10 01:14:29 UTC
rubygem-cri-1.0.1-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.